package com.yihu.hos.system.dao.intf;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.system.model.SystemParam;

import java.util.Map;

/**
 * Created by chenweida on 2016/1/19.
 */
public interface ISystemParamDao extends XSQLGeneralDAO {

    Result getParamList(Map<String, Object> params) throws Exception;

    SystemParam getParamByKey(String paramKey) throws Exception;

    SystemParam getParamByKeyWithOutId(String paramKey, String id) throws Exception;
}
